Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 513779 - Review Request: python-simplesettings - Simple settings initialization for Python libraries
Summary: Review Request: python-simplesettings - Simple settings initialization for Py...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-07-25 18:16 UTC by Fabian Affolter
Modified: 2010-01-04 10:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-14 14:55:18 UTC


Attachments (Terms of Use)

Description Fabian Affolter 2009-07-25 18:16:42 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-simplesettings.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-simplesettings-0.5-1.fc11.src.rpm

Project URL: http://code.google.com/p/simplesettings/

Description:
Simple settings initialization for third party apps and libraries
in Python.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1514001

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint python-simplesettings-0.5-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 noarch]$ rpmlint python-simplesettings-0.5-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Mads Kiilerich 2009-07-26 00:58:58 UTC
Neither summary of description or upstream web site or any documentation or comments in the source could help me understand what the module in this package does.

Reading the code reveals that it is about returning the dict of one python module optionally overruled by another. It seems like the intention is that it can be used for simple configuration systems where the defaults can be overridden by local settings made in a py file.

The library is very small - only 26 lines of code but exposes a complex and very specific API. For most practically purposes I would say that the same functionality can be achieved in simpler and better ways.

I don't see why anybody should use this library. If they do then they would probably include a copy in their source and extend and customize it to their needs.

I don't think having this as a Fedora package is a good idea.

Comment 2 Jason Tibbitts 2009-09-23 18:04:00 UTC
Fabian, I don't necessarily agree with what Mads has written above, but I (and I expect many of the other reviewers) would like to see some response to it, if for nothing else than to know that you still wish to submit this.

Comment 3 Jason Tibbitts 2009-11-08 04:20:42 UTC
I guess I'll close this soon if there's no response.

Comment 4 Fabian Affolter 2009-11-14 14:55:18 UTC
At the moment I'm a bit short on time because of that I don't want to go on with this request for now.

Comment 5 Fabian Affolter 2010-01-04 10:12:53 UTC
The source was deleted at Google Code.


Note You need to log in before you can comment on or make changes to this bug.